%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)
%define perlname elca
Summary: Interactive Perl calculator
Name: %{perlname}
Version: 1.6
Release: 1
License: Artistic, GPL
Group: System Environment/Libraries
Source: elca-1.6.tar.bz2

Packager: David Necas (Yeti) <yeti@trific.ath.cx>
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://physics.muni.cz/~polcar/elca
BuildPrereq: perl


%description
Elca (Extended Line Calculator) is a real-time Perl calculator (i.e.,
it evaluates expressions immediately as you type them). It supports
hexadecimal, octal, and binary numbers, complex numbers, variables,
string, list and hash operations, etc. It can convert expressions from
human style to valid Perl code before evaluating them, and has a
mechanism for importing external modules, allowing almost arbitrary
extensions.


%prep
%setup -n %{perlname}-%{version}



%build
%{__perl} Makefile.PL </dev/null
%{__sed} -e 's:^\(INSTALL[A-Z0-9_]*\(BIN\|ARCH\|SCRIPT\|LIB\|MAN[1-9]DIR\)\) = :\1 = '"$RPM_BUILD_ROOT"':' Makefile >Makefile2
%{__cat} Makefile2 >Makefile
%{__make}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} install INSTALLDIRS=vendor
%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
%{__rm} -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/elca/.packlist


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)

%{_bindir}/elca
%dir %{_bindir}
%doc %{_mandir}/man1/elca.1*
%doc README ChangeLog COPYING
